<?xml version="1.0" encoding="utf-8" ?> 
<taskrunner name="removefiles" version="1.0" date="2009-03-13" maxthreads="1"> 
  <!--removes files -->
  
  <enumerations> 
    
    <!-- 
      All files in the below enum table will be deleted in %SystemToot\System32 directory 
    -->
    <enum name="remove.windows.system32.files"> 
      
      

      <!-- java -->
      <item key="jRegistryKey.dll" register="false"/>
      <item key="nativeLoginDialog.dll" register="false"/> 
      <item key="nativeInfoDialog.dll" register="false"/>

    </enum>

    
  </enumerations>
  
  <tasks>

    <task name="kill.java">
      <subtasks filename="vida.kill.java.xml"/>
    </task>
    
    <foreach enum="remove.windows.system32.files">
      
      <task name="remove-r-attribute" allowMultipleInstances="true" typename="@CommandLine">
        <dependencies list="kill.java"/>
        <parameters>
          <parameter name="arguments" value="attrib -r /s $[remove.windows.system32.files:key]"/>
          <parameter name="workingdirectory" value="%{SystemRoot}\System32"/>
          <parameter name="useCmdExe" value="true"/>
        </parameters>
      </task>
      
      <task name="delete" allowMultipleInstances="true" typename="@DeleteFile">
        <dependencies list="remove-r-attribute"/>
        <parameters> 
          <parameter name="filename" value="%{SystemRoot}\System32\$[remove.windows.system32.files:key]"/> 
       </parameters>
      </task>
  </foreach>

    
</tasks>
  
</taskrunner>
